API Reference
Fetch scoped volume release metadata
GET
/
api
/
v1
/
volumes
/
@
{scope}
/
{name}
/
{version}
Fetch scoped volume release metadata
curl --request GET \
--url https://api.example.com/api/v1/volumes/@{scope}/{name}/{version}import requests
url = "https://api.example.com/api/v1/volumes/@{scope}/{name}/{version}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/volumes/@{scope}/{name}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"version": "<string>",
"purl": "<string>",
"integrity": "<string>",
"status": {
"state": "available",
"reason": "<string>"
},
"externalDependencies": [
{
"declarationKey": "<string>",
"purl": "<string>",
"constraint": "<string>",
"purpose": "runtime",
"components": [
"<string>"
]
}
],
"dist": {
"source": "cdn",
"mediaType": "application/gzip",
"url": "<string>"
}
}Path Parameters
Maximum string length:
64Pattern:
^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Maximum string length:
128Pattern:
^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$Response
Release metadata. Delivery metadata is subordinate to the release integrity value; clients reject resolved content whose normalized-file-tree digest does not match.
Maximum string length:
194Pattern:
^(@(?!.*--)[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?/)?(?!.*--)[a-z0-9](?:[a-z0-9-]{0,126}[a-z0-9])?$Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$Pattern:
^pkg:volume/(?:%40(?![a-z0-9-]*--)[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?/)?(?![a-z0-9-]*--)[a-z0-9](?:[a-z0-9-]{0,126}[a-z0-9])?@(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$Pattern:
^sha256:[a-f0-9]{64}$Show child attributes
Show child attributes
Declaration-only external package dependency metadata derived from the release manifest. These records are not resolved dependency inventory, lockfile content, provenance material, scanner findings, or vulnerability evidence.
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I
Fetch scoped volume release metadata
